Bug 462162 - Ark does not open .sit archives.
Summary: Ark does not open .sit archives.
Status: RESOLVED FIXED
Alias: None
Product: ark
Classification: Applications
Component: plugins (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Elvis Angelaccio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-23 10:28 UTC by Lukas Sommer
Modified: 2022-11-28 00:59 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 23.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Sommer 2022-11-23 10:28:38 UTC
SUMMARY
Ark does not open .sit archives.


STEPS TO REPRODUCE
1. Try to open a .sit archive in Ark.

OBSERVED RESULT
Ark does not open .sit archives.

EXPECTED RESULT
Ark opens .sit archives.

SOFTWARE/OS VERSIONS
Operating System: Kubuntu 22.04
KDE Plasma Version: 5.24.6
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel Version: 5.15.0-53-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-7700HQ CPU @ 2.80GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 630

ADDITIONAL INFORMATION
The unar command line tool decompresses .sit files without problems. As Ark has yet a plugin for unarchiver, I suppose it could be easy to support .sit archives in Ark?
Comment 1 Elvis Angelaccio 2022-11-23 11:06:46 UTC
Yes, we can try with the unarchiver plugin.

Any chance you can upload a test .sit archive?
Comment 2 Lukas Sommer 2022-11-23 14:27:51 UTC
Yes, my use case was the file http://photogamut.org/Downloads/PhotoGamutRGB_avg6c.sit which was downloaded from http://photogamut.org/E_ICC_profile.html It contains only one single file: PhotoGamutRGB_avg6c.icc

According to Wikipedia https://en.wikipedia.org/wiki/StuffIt the unarchiver does not support the most recent versions of the .sit format.
Comment 3 Bug Janitor Service 2022-11-24 21:53:59 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/ark/-/merge_requests/160
Comment 4 Elvis Angelaccio 2022-11-24 21:56:16 UTC
(In reply to Lukas Sommer from comment #2)
> Yes, my use case was the file
> http://photogamut.org/Downloads/PhotoGamutRGB_avg6c.sit which was downloaded
> from http://photogamut.org/E_ICC_profile.html It contains only one single
> file: PhotoGamutRGB_avg6c.icc
> 
> According to Wikipedia https://en.wikipedia.org/wiki/StuffIt the unarchiver
> does not support the most recent versions of the .sit format.

Thanks for the file. Indeed unarchiver can extract it just fine. It doesn't seem to support encrypted stuffit archives but I hope they are not so common :)
Comment 5 Elvis Angelaccio 2022-11-24 21:58:36 UTC
Git commit 98c8d3f32cf6a4b65b0b5c59138ce6ae21bf00a3 by Elvis Angelaccio.
Committed on 24/11/2022 at 21:48.
Pushed by elvisangelaccio into branch 'master'.

Add support for Stuffit archives

Unarchiver can extract unencrypted stuffit archives.

Credits to photogamut.org for the test file:  http://photogamut.org/E_ICC_profile.html
FIXED-IN: 23.04

M  +2    -1    README.md
A  +-    --    autotests/kerfuffle/data/test.sit
M  +8    -0    autotests/kerfuffle/extracttest.cpp
M  +7    -0    autotests/kerfuffle/loadtest.cpp
M  +7    -0    autotests/plugins/cliunarchiverplugin/cliunarchivertest.cpp
A  +-    --    autotests/plugins/cliunarchiverplugin/data/test.sit
M  +2    -1    plugins/cliunarchiverplugin/kerfuffle_cliunarchiver.json.cmake

https://invent.kde.org/utilities/ark/commit/98c8d3f32cf6a4b65b0b5c59138ce6ae21bf00a3
Comment 6 Lukas Sommer 2022-11-27 13:31:57 UTC
Thanks a lot for this super-fast fix!